#
# spec file for package python-django-sekizai
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-django-sekizai
Version:        4.1.0
Release:        1.6
Summary:        Django Template Blocks with extra functionality
License:        MIT
URL:            https://github.com/ojii/django-sekizai
Source:         https://github.com/divio/django-sekizai/archive/%{version}.tar.gz
BuildRequires:  %{python_module Django >= 1.11}
BuildRequires:  %{python_module django-classy-tags >= 0.3.1}
BuildRequires:  %{python_module pycodestyle}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Django >= 1.11
Requires:       python-django-classy-tags >= 0.3.1
BuildArch:      noarch
%python_subpackages

%description
Django Template Blocks with extra functionality

%prep
%setup -q -n django-sekizai-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export PYTHONPATH='.'
%python_exec tests/settings.py

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Wed Jun 21 2023 Andreas Schneider <asn@cryptomilk.org>
- Update to 4.1.0
  * https://github.com/django-cms/django-sekizai/releases
- Use sle15_python_module_pythons
* Tue May 25 2021 Markéta Machová <mmachova@suse.com>
- Do not package tests
* Thu May 20 2021 pgajdos@suse.com
- %%check: do not use deprecated setup.py test
* Fri Sep 11 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 2.0.0
  * Added support for Django 3.1
  * Dropped support for Python 2.7 and Python 3.4
  * Dropped support for Django < 2.2
  * Replaced pep8 with flake8
  * Adapted documentation
- Drop django-sekizai-pycodestyle.patch
* Thu Feb 20 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.1.0:
  * Added support for Django 3.0
  * Added support for Python 3.8
  * Extended test matrix
  * Added isort and adapted imports
  * Adapted code base to align with other supported addons
  * Adapted README.rst instructions
- Rebase patch django-sekizai-pycodestyle.patch
* Fri May 24 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.0.0:
  * Fixes for new djangos/python releases
- Remove merged patches:
  * django-sekizai-py37.patch
  * django-sekizai-django2.patch
* Fri Jan  4 2019 Jan Engelhardt <jengelh@inai.de>
- Avoid name repetition in summary.
* Thu Jan  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Add patch to work with py37:
  * django-sekizai-py37.patch
- Add patch to work without pep8 module:
  * django-sekizai-pycodestyle.patch
* Thu Jan  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Add patch to work with current djangos:
  * django-sekizai-django2.patch
* Thu Jan  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, needed by django_compressor
